import { Button } from "@mui/material";
import ProductSection from "../sections/ProductSection";
import IconRenderer from "../common/renderer/IconRenderer";

const DownloadRow = ({ file }) => {
  return (
    <div
      className={`w-full h-[62px] flex items-start ${
        file.type === "zip" && "border-b border-border-main pb-2"
      } `}
    >
      <div className="flex flex-1 h-full  gap-2 ">
        {file?.icon && file.icon !== "" && (
          <IconRenderer iconName={file.icon} size="24" color="#71C9CD" />
        )}

        <div className="flex flex-1 flex-col justify-between">
          <h2 className="text-black font-bold">{file.name}</h2>
          <p>{file.size} مگابایت</p>
        </div>
      </div>

      <div className="h-full flex items-end md:items-center">
        <a href={file.url} download="myfile.pdf">
          <Button variant="outlined">دانلود</Button>
        </a>
      </div>
    </div>
  );
};

const ProductFilesDownloadBox = ({ section, hidden, files }) => {
  return (
    <ProductSection section={section} hidden={hidden}>
      {/* <div className="w-full h-full flex flex-col gap-3 rounded-2xl border border-border-main p-2">
        {files?.map((file, index) => (
          <DownloadRow key={index} file={file} />
        ))}
      </div> */}
    </ProductSection>
  );
};

export default ProductFilesDownloadBox;
